### Virtual Method

# Gimp PlugIn init_procedures

#### Declaration [src]

    GList*
    init_procedures (
      GimpPlugIn* plug_in
    )

#### Description [src]

This method can be overridden by all plug-ins to return a newly allocated list of allocated strings naming procedures registered by this plug-in. It is different from `Gimp.PlugInClass.query_procedures` in that init happens at every startup, whereas query happens only once in the life of a plug-in (right after installation or update). Hence `Gimp.PlugInClass.init_procedures` typically returns procedures dependent to runtime conditions (such as the presence of a third-party tool), whereas `Gimp.PlugInClass.query_procedures` would usually return procedures that are always available unconditionally.

Most of the time, you only want to override `Gimp.PlugInClass.query_procedures` and leave `Gimp.PlugInClass.init_procedures` untouched.

#### Return value

Type: A list of `utf8`

The names of the procedures registered by `plug_in`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.